%if 0%{?rhel}
%if 0%{?rhel} < 7
%global java_devel java7-devel
%global servlet_api tomcat6-servlet-2.5-api
%if 0%{?centos}
%global slf4j slf4j
%else
%global slf4j slf4j-eap6
%endif
%else
%global java_devel java-devel >= 1.7.0
%global servlet_api tomcat-servlet-3.0-api
%global slf4j slf4j
%endif
%endif

%if 0%{?fedora}
%global java_devel java-devel >= 1.7.0
%global slf4j slf4j
%if 0%{?fedora} < 23
%global servlet_api tomcat-servlet-3.0-api
%else
%global servlet_api tomcat-servlet-3.1-api
%endif
%endif

%global make_common_opts \\\
	PREFIX=%{_prefix} \\\
	SYSCONF_DIR=%{_sysconfdir} \\\
	DATA_DIR=%{_datadir} \\\
	PKG_DATA_DIR=%{_datadir}/%{name} \\\
	%{nil}
Name:		ovirt-engine-extension-aaa-misc
Version:	1.0.3
Release:	0.0.master%{?release_suffix}%{?dist}
License:	ASL 2.0
Summary:	oVirt Script Engine Gateway Extension
Group:		Virtualization/Management
URL:		http://www.ovirt.org
BuildArch:	noarch
Source:		http://resources.ovirt.org/pub/src/%{name}/%{name}-1.0.3_master.tar.gz

BuildRequires:	%{java_devel}
BuildRequires:	%{servlet_api}
BuildRequires:	%{slf4j} >= 1.7
BuildRequires:	ant
BuildRequires:	jpackage-utils
BuildRequires:	ovirt-engine-extensions-api

Requires:	ovirt-engine >= 3.5

%description
Misc aaa extension for oVirt engine.

%prep
%setup -c -q

%build
cat > build.properties << __EOF__
package.display.name=%{name}-%{version}-%{release}
jar.slf4j-api=$(build-classpath %{slf4j}/slf4j-api.jar)
jar.servlet-api=$(build-classpath %{servlet_api})
jar.ovirt-engine-extensions-api=$(build-classpath ovirt-engine/ovirt-engine-extensions-api)
__EOF__

make %{make_common_opts} all

%install
rm -fr "%{buildroot}"
make %{make_common_opts} install-no-build DESTDIR="%{buildroot}"

%files
%doc README*
%{_datadir}/%{name}/
%{_sysconfdir}/ovirt-engine/engine.conf.d/50-%{name}.conf

%changelog
* Fri Nov 23 2018 Martin Perina <mperina@redhat.com> 1.0.2-1
- Add AuthzExtension to get information from headers
- Fixed Fedora packaging
- Switched to oVirt STDCIv2

* Tue May 24 2016 Martin Perina <mperina@redhat.com> 1.0.1-1
- Fixed various build issues
- Fixed documentation typos and issues

* Mon Dec 1 2014 Alon Bar-Lev <alonbl@redhat.com> 1.0.0-1
- Initial.
